首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
santom
V2EX  ›  前端开发

想请教一个关于 UglifyJsPlugin 的问题

  •  
  •   santom · 2018-12-20 13:54:51 +08:00 · 2176 次点击
    这是一个创建于 604 天前的主题,其中的信息可能已经有所发展或是发生改变。

    现有公司项目由 vue 迁移至 nuxt,移动端,在打包调试时发现 safari10 浏览器会出现

    cannot declare a let variable twice: 't'
    

    这样的报错,查阅了一些资料发现 vue-cli 中默认帮你配制好了 UglifyJsPlugin 插件的 safari10:true 而 nuxt 中并没有默认帮你配置。所以 我查看了 github 上 关于 nuxt 的 UglifyJsPlugin 配置 按照文档和他们的案例配置只好了我们的项目,然而 去 console 等其他功能都正常 safari10 的问题依然存在。 所以 现在懵逼了 ,希望有趟过坑的大佬指点下

    3 条回复    2019-02-26 14:55:57 +08:00
    santom
        1
    santom   2018-12-20 14:23:03 +08:00
    所以 ,有没有大佬能指点下呀
    crystom
        2
    crystom   2019-02-19 17:20:13 +08:00
    // nuxt.config.js
    module.exports = {
    build: {
    uglify: {
    uglifyOptions: {
    mangle: { safari10: true }
    }
    }
    }
    }
    bazinga0401
        3
    bazinga0401   2019-02-26 14:55:57 +08:00
    这个问题解决了嘛?我参照这配置也没有生效
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   997 人在线   最高记录 5168   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 28ms · UTC 20:55 · PVG 04:55 · LAX 13:55 · JFK 16:55
    ♥ Do have faith in what you're doing.